<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4153
Name: ROTEM A10 FIBTEM
Description: Labor: ROTEM A10 FIBTEM
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4153-2017-03-01T000000">
   <title>ROTEM A10 FIBTEM</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]
Item: (ROTEMA10FIBTEM)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]
Item: (ROTEMA10FIBTEM)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]"
         id="d19e8696-false-d47293e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="string(@classCode)=('OBS')">(ROTEMA10FIBTEM): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="string(@moodCode)=('EVN')">(ROTEMA10FIBTEM): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4153'])&gt;=1">(ROTEMA10FIBTEM): Element hl7:templateId[@root='1.2.276.0.76.10.4153'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4153'])&lt;=1">(ROTEMA10FIBTEM): Element hl7:templateId[@root='1.2.276.0.76.10.4153'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:code[(@code='X-CLOTF-A10' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(ROTEMA10FIBTEM): Element hl7:code[(@code='X-CLOTF-A10' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:code[(@code='X-CLOTF-A10' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ROTEMA10FIBTEM): Element hl7:code[(@code='X-CLOTF-A10' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:text)&lt;=1">(ROTEMA10FIBTEM): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1">(ROTEMA10FIBTEM): Element hl7:statusCode[@code='completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(ROTEMA10FIBTEM): Element hl7:statusCode[@code='completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ROTEMA10FIBTEM): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:value)&gt;=1">(ROTEMA10FIBTEM): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:value)&lt;=1">(ROTEMA10FIBTEM): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:templateId[@root='1.2.276.0.76.10.4153']
Item: (ROTEMA10FIBTEM)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:templateId[@root='1.2.276.0.76.10.4153']"
         id="d19e8702-false-d47366e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4153')">(ROTEMA10FIBTEM): Der Wert von @root MUSS '1.2.276.0.76.10.4153' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:code[(@code='X-CLOTF-A10' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ROTEMA10FIBTEM)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:code[(@code='X-CLOTF-A10' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d19e8707-false-d47378e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="@nullFlavor or (@code='X-CLOTF-A10' and @codeSystem='2.16.840.1.113883.6.1')">(ROTEMA10FIBTEM): Der Elementinhalt MUSS einer von 'code 'X-CLOTF-A10' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:text
Item: (ROTEMA10FIBTEM)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:text"
         id="d19e8712-false-d47392e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ROTEMA10FIBTEM): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:reference)&gt;=1">(ROTEMA10FIBTEM): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="count(hl7:reference)&lt;=1">(ROTEMA10FIBTEM): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:text/hl7:reference
Item: (ROTEMA10FIBTEM)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:text/hl7:reference"
         id="d19e8717-false-d47413e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ROTEMA10FIBTEM): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:statusCode[@code='completed']
Item: (ROTEMA10FIBTEM)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:statusCode[@code='completed']"
         id="d19e8721-false-d47425e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="@nullFlavor or (@code='completed')">(ROTEMA10FIBTEM): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:effectiveTime
Item: (ROTEMA10FIBTEM)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:effectiveTime"
         id="d19e8726-false-d47439e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ROTEMA10FIBTEM): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="not(*)">(ROTEMA10FIBTEM): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4153
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:value
Item: (ROTEMA10FIBTEM)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4153']]/hl7:value"
         id="d19e8732-false-d47453e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ROTEMA10FIBTEM): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="(@nullFlavor or (@unit='mm'))">(ROTEMA10FIBTEM): value MUSS die Einheit 'mm' nutzen </assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(ROTEMA10FIBTEM): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4153-2017-03-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(ROTEMA10FIBTEM): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
